package digital.laboratory.platform.imr.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.imr.entity.CabinetOpeningRecord;
import digital.laboratory.platform.imr.vo.CabinetSampleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CabinetOpeningRecordMapper extends BaseMapper<CabinetOpeningRecord> {


    List<CabinetSampleVO> scanCode(@Param("number") String number);

    CabinetSampleVO getSampleById(@Param("sampleId")String sampleId);

    List<CabinetSampleVO> batchScanCode(@Param("number")String number);

    void updateSampleQuality(@Param("sampleId")String sampleId,
                             @Param("sampleQuality")double sampleQuality);
}
